Package ghidra.program.model.pcode

# Class HighLocal

java.lang.Object
ghidra.program.model.pcode.HighVariable
ghidra.program.model.pcode.HighLocal

Direct Known Subclasses:
  `HighParam`

public class HighLocal extends HighVariable

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.pcode.HighVariable

  `function, instances, name, offset, represent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighLocal(DataType type, Varnode vn, Varnode[] inst, Address pc, HighSymbol sym)`
  `HighLocal(HighFunction high)`
  Constructor for use with restoreXml

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder)`
  Decode this HighVariable from a `<high>` element in the stream
  `Address`
  `getPCAddress()`
  `HighSymbol`
  `getSymbol()`
  Retrieve any underlying HighSymbol

  ### Methods inherited from class ghidra.program.model.pcode.HighVariable

  `attachInstances, decodeInstances, getDataType, getHighFunction, getInstances, getName, getOffset, getRepresentative, getSize, requiresDynamicStorage, setHighOnInstances`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HighLocal

    public HighLocal(HighFunction high)
    Constructor for use with restoreXml
    Parameters:
      `high` - is the HighFunction containing this local variable

  - ### HighLocal

    public HighLocal(DataType type, Varnode vn, Varnode[] inst, Address pc, HighSymbol sym)

- ## Method Details

  - ### getSymbol

    public HighSymbol getSymbol()
    Description copied from class: `HighVariable`
    Retrieve any underlying HighSymbol
    Specified by:
      `getSymbol` in class `HighVariable`
    Returns:
      the HighSymbol

  - ### getPCAddress

    public Address getPCAddress()
    Returns:
      instruction address the variable comes into scope within the function

  - ### decode

    public void decode(Decoder decoder) throws DecoderException
    Description copied from class: `HighVariable`
    Decode this HighVariable from a `<high>` element in the stream
    Specified by:
      `decode` in class `HighVariable`
    Parameters:
      `decoder` - is the stream decoder
    Throws:
      `DecoderException` - for invalid encodings